This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 474336 - F10 install/upgrade hangs in graphical mode; after text mode install x server does not start
F10 install/upgrade hangs in graphical mode; after text mode install x serve...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_845G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 06:44 EST by Iyengar
Modified: 2009-11-14 13:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-14 13:45:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (61.26 KB, text/plain)
2008-12-04 20:27 EST, Iyengar
no flags Details

  None (edit)
Description Iyengar 2008-12-03 06:44:03 EST
Description of problem:
Anaconda Graphical installer in F10 hangs on computer using 
Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated graphics device
upon installing in Text mode. X server does not start.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Install F10
2. 
3.
  
Actual results:
Graphical mode hangs
XServer does not start after text based install

Expected results:
Graphical mode not to hang
Xserver to start

Additional info:
Comment 1 Chris Lumens 2008-12-03 09:49:27 EST
Did you select the X and desktop package groups?  If gdm/kdm does not get installed, then we default to runlevel 3 and no X starting up, so this likely isn't really a bug.  Text mode does kind of imply a non-graphical system.
Comment 2 Iyengar 2008-12-03 11:10:11 EST
(In reply to comment #1)
> Did you select the X and desktop package groups?  If gdm/kdm does not get
> installed, then we default to runlevel 3 and no X starting up, so this likely
> isn't really a bug.  Text mode does kind of imply a non-graphical system.

Yes X and desktop groups have been installed. I get a very garbled gnome-login screen.  this hangs as soon as I select user to login.  Same as when i try to do a graphical install.
Comment 3 Iyengar 2008-12-03 13:03:35 EST
(In reply to comment #2)
> (In reply to comment #1)
> > Did you select the X and desktop package groups?  If gdm/kdm does not get
> > installed, then we default to runlevel 3 and no X starting up, so this likely
> > isn't really a bug.  Text mode does kind of imply a non-graphical system.
> 
> Yes X and desktop groups have been installed. I get a very garbled gnome-login
> screen.  this hangs as soon as I select user to login.  Same as when i try to
> do a graphical install.

UUID: 5d8d0524-f369-4e9a-b027-3c215cb6a63e
	OS: Fedora release 9 (Sulphur)
	Default run level: 5
	Language: en_US.UTF-8
	Platform: i686
	BogoMIPS: 3591.55
	CPU Vendor: GenuineIntel
	CPU Model: Intel(R) Pentium(R) 4 CPU 1.80GHz
	Number of CPUs: 1
	CPU Speed: 1793
	System Memory: 1009
	System Swap: 8001
	Vendor: Dell Computer Corporation
	System: Dimension 2350 A00
	Form factor: desktop
	Kernel: 2.6.25-14.fc9.i686
	SELinux Enabled: True
	SELinux Policy: targeted
	SELinux Enforce: Enforcing

		 Devices
		=================================
		(None:None:None:None) tty, Unknown, None, Venus Modem (V90, 56KFlex)
		(None:None:None:None) platform, Unknown, None, Platform Device (floppy.0)
		(None:None:None:None) scsi, sr, None, SCSI Device
		(None:None:None:None) input, Unknown, None, PC Speaker
		(None:None:None:None) pnp, rtc_cmos, None, AT Real-Time Clock
		(32902:9415:4136:327) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3
		(None:None:None:None) pnp, serial, None, 16550A-compatible COM port
		(None:None:None:None) scsi, sd, None, SCSI Device
		(None:None:None:None) pnp, i8042 aux, None, PS/2 Port for PS/2-style Mice
		(5361:8211:5088:530) pci, Unknown, OTHER, HSF 56k Data/Fax Modem
		(None:None:None:None) net, Unknown, NETWORK, Networking Interface
		(32902:9421:4136:327) pci, ehci_hcd, USB, 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) scsi, sr, None, SCSI Device
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) platform, Unknown, None, Platform Device (bluetooth)
		(4545:1152:4545:22102) pci, serial, OTHER, Venus Modem (V90, 56KFlex)
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) platform, Unknown, None, Platform Device (vesafb.0)
		(None:None:None:None) serio, psmouse, None, i8042 AUX port
		(32902:9294:0:0) pci, Unknown, OTHER, 82801 PCI Bridge
		(None:None:None:None) pnp, parport_pc, None, Standard LPT printer port
		(None:None:None:None) platform, i8042, None, Platform Device (i8042)
		(None:None:None:None) platform, pcspkr, None, Platform Device (pcspkr)
		(None:None:None:None) platform, iTCO_wdt, None, Platform Device (iTCO_wdt)
		(32902:9419:4136:327) pci, ata_piix, IDE, 82801DB (ICH4) IDE Controller
		(None:None:None:None) platform, dcdbas, None, Platform Device (dcdbas)
		(4186:13173:4186:13173) pci, sata_promise, OTHER, PDC20375 (SATA150 TX2plus)
		(1670:12299:None:None) usb, usblp, OTHER, USB Printer Interface
		(None:None:None:None) usb, Unknown, PRINTER, PP1350W
		(5348:17409:4136:33063) pci, b44, NETWORK, BCM4401 100Base-T
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(32902:9410:4136:327) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1
		(32902:9411:4136:327) pci, i801_smbus, OTHER, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller
		(32902:9408:0:0) pci, Unknown, OTHER, 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge
		(32902:9412:4136:327) pci, uhci_hcd, USB, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2
		(32902:9413:4136:327) pci, Intel ICH, AUDIO, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) pnp, i8042 kbd, None, IBM Enhanced (101/102-key, PS/2 mouse support)
		(None:None:None:None) input, Unknown, None, Power Button (FF)
		(None:None:None:None) scsi_host, Unknown, None, SCSI Host Adapter
		(None:None:None:None) input, Unknown, MOUSE, ImPS/2 Logitech Wheel Mouse
		(None:None:None:None) input, Unknown, MOUSE, Macintosh mouse button emulation
		(None:None:None:None) input, Unknown, None, Power Button (CM)
		(32902:9568:4136:327) pci, agpgart-intel, OTHER, 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface
		(32902:9570:4136:327) pci, i810_smbus, VIDEO, 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device
		(None:None:None:None) scsi_generic, Unknown, None, SCSI Generic Interface
		(None:None:None:None) tty, Unknown, None, 16550A-compatible COM port
		(None:None:None:None) platform, serial8250, None, Platform Device (serial8250)
		(None:None:None:None) serio, atkbd, None, i8042 KBD port
		(None:None:None:None) scsi, sd, None, SCSI Device
		(None:None:None:None) input, Unknown, KEYBOARD, AT Translated Set 2 keyboard
		(1193:8716:None:None) usb, Unknown, OTHER, USB Vendor Specific Interface
		(None:None:None:None) drm, Unknown, None, Direct Rendering Manager Device

	Filesystem Information
		device mtpt type bsize frsize blocks bfree bavail file ffree favail
		===================================================================
		/dev/root / ext3 4096 4096 9612069 8213206 7724931 2444624 2227281 2227281
		/dev/sda5 Hidden ext3 4096 4096 49605339 43422864 40862405 51216384 51208656 51208656
Comment 4 Chris Lumens 2008-12-04 15:20:23 EST
anaconda doesn't do anything special when it's starting up X anymore, so it should have all the same failure cases as running on the installed system.  Can you attach either /tmp/X.log when running anaconda or /var/log/X*log from the running system to this bug report?  Thanks.
Comment 5 Iyengar 2008-12-04 20:27:15 EST
Created attachment 325769 [details]
Xorg.0.log

here is the Xorg.0.log after executing gdm command.
Comment 6 Iyengar 2008-12-04 20:39:17 EST
(In reply to comment #5)
> Created an attachment (id=325769) [details]
> Xorg.0.log
> 
> here is the Xorg.0.log after executing gdm command.

I tried to boot from live cd. It hangs up..  I hope the Xorg.0.log helps.  I will be reinstalling Fedora 9.
Comment 7 Jaime RCZ 2008-12-14 01:31:56 EST
I can reproduce this exact same problem. I tried LiveCD (Graphical and Text), tried LiveUSB, same problem. Finally tried DVD-text, no luck, there is something wrong with graphics and my computer (I checked the media, and my computer ran with F8,F9 and Ubuntu 8.04, 8.10 without problems).

I have a similar computer (maybe that has something to do with it):

Dell 2400 Series, Pentium 4 2.4Ghz, 1GB, 120HDD

I finally gave up, and moved back to F9. (In F9, after installation, resolution is always wrong and I have to adjust xorg.conf in runlevel 3, but it works after that). In F10, of course, I tried something similar, using my old xorg.conf and the one generated by Xorg -configure. No luck. Don't know what else to do.

00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 81)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 01)
01:06.0 Multimedia audio controller: Creative Labs [SB Live! Value] EMU10k1X
01:06.1 Input device controller: Creative Labs [SB Live! Value] Input device controller
01:09.0 Ethernet controller: Broadcom Corporation BCM4401 100Base-T (rev 01)
Comment 8 Marko Nurmenniemi 2008-12-23 16:26:08 EST
This seems to be same as this #473427

For me adding this to xorg.conf enabled normal login to the graphical (Gnome) environment.

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	Option      "AccelMethod" "XAA"
EndSectio
Comment 9 Jaime RCZ 2008-12-24 01:58:34 EST
I have a Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device (rev 01).

And I got F10 working with

Section "Device"
 Identifier  "Videocard0"
 Driver      "intel"
 Option      "NoAccel" "true"
EndSection

Nothing else appears to work. And I must say that it is "painful" to scroll any document with NoAccel.
Comment 10 M Yakub Mizan 2009-07-11 21:24:34 EDT
same problem to me.
For Anaconda Installer and Graphical Mode(Gnome Installed)
I installed from text mode .then tried to boot gnome after install 
all my effort fails.


I have Intel Graphics Card
Comment 11 Vedran Miletić 2009-11-05 18:11:54 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Iyengar 2009-11-09 12:42:18 EST
(In reply to comment #11)
Just finished upgrade to F11.  Did a distro upgrade from the GUI prompt.  The initial process was completed in 45 mins. and after restart Anaconda started in X and the upgrade went smoothly. (took a while though about 2 hrs.). After one more restart X started fine.  and when i checked the xorg.conf, the lines mentioned by Marko in (comment #8) was in place and everything seems to be working fine so far.
I don't mind if you close this bug.
Comment 13 Matěj Cepl 2009-11-14 13:45:31 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.